## org.apache.tools.ant.taskdefs
Class Copydir

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.MatchingTask
                        |
                        +--org.apache.tools.ant.taskdefs.Copydir

All Implemented Interfaces:
  SelectorContainer

Deprecated. The copydir task is deprecated since Ant 1.2. Use copy instead.

public class Copydir
extends MatchingTask

Copies a directory.

Since:
  Ant 1.1

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Copydir()` Deprecated.

Method Summary
`void` `execute()` Deprecated. Called by the project to let the task do its work.
`void` `setDest(java.io.File dest)` Deprecated. The dest attribute
`void` `setFiltering(boolean filter)` Deprecated.
`void` `setFlatten(boolean flatten)` Deprecated.
`void` `setForceoverwrite(boolean force)` Deprecated.
`void` `setSrc(java.io.File src)` Deprecated. The src attribute

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Copydir

    public Copydir()

  Deprecated.

Method Detail

### setSrc

    public void setSrc(java.io.File src)

  Deprecated.
  The src attribute

  Parameters:
    `src` - the source file

### setDest

    public void setDest(java.io.File dest)

  Deprecated.
  The dest attribute

  Parameters:
    `dest` - the destination file

### setFiltering

    public void setFiltering(boolean filter)

  Deprecated.

### setFlatten

    public void setFlatten(boolean flatten)

  Deprecated.

### setForceoverwrite

    public void setForceoverwrite(boolean force)

  Deprecated.

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.